View Issue Details

IDProjectCategoryView StatusLast Update
0003538GNUnetfile-sharing servicepublic2018-06-07 00:25
ReporterbrataoAssigned Tobratao 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSWindowsOS Version8.1
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003538: Searching with AND is not reliable
DescriptionI'm indexing some files and searching with +keyword +mimetype:audio

So I can get the specified mimetype.

Searching by the word works everytime. But when using +keyword +mimetype:audio it works a couple of times, and stop working.

TagsNo tags attached.

Activities

bratao

2014-09-05 05:05

developer   ~0008563

Important info: All the publishing and search is done locally.

bratao

2014-09-05 05:52

developer  

gnunet_log.txt (23,584 bytes)
Sep 05 00:49:50-00000000000022792308 util-5520 WARNING Processing code for message of type 156 did not call `GNUNET_SERVER_receive_done' after 1 m


Search for +Culture

Sep 05 00:49:54-00000000000022796396 fs-4072 DEBUG Received request for `1GASV778' of type 9 from local client
Sep 05 00:49:54-00000000000022796396 fs-4072 DEBUG Creating request handle for `1GASV778' of type 9
Sep 05 00:49:54-00000000000022796397 fs-4072 DEBUG Received reply for `1GASV778' of type 9 with UID 186 from datastore.
Sep 05 00:49:54-00000000000022796398 fs-4072 DEBUG Matched result (type 9) for query `1GASV778' with pending request
Sep 05 00:49:54-00000000000022796406 fs-4072 DEBUG Found result for query `1GASV778' in local datastore
Sep 05 00:49:54-00000000000022796406 fs-4072 DEBUG Queued reply to query `1GASV778' for local client
Sep 05 00:49:54-00000000000022796406 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:49:54-00000000000022796408 fs-4072 DEBUG No further local responses available.
Sep 05 00:49:54-00000000000022796408 fs-4072 DEBUG Finished database lookup for local request `1GASV778' with result 0
Sep 05 00:49:54-00000000000022796497 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796497 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796498 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796498 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796498 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796498 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796499 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796500 fs-4072 DEBUG Received request for `FC79VFMD' of type 1 from local client
Sep 05 00:49:54-00000000000022796500 fs-4072 DEBUG Creating request handle for `FC79VFMD' of type 1
Sep 05 00:49:54-00000000000022796500 fs-4072 DEBUG Received reply for `FC79VFMD' of type 6 with UID 136 from datastore.
Sep 05 00:49:54-00000000000022796500 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796503 fs-4072 DEBUG On-demand encoded block for query `FC79VFMD'
Sep 05 00:49:54-00000000000022796503 fs-4072 DEBUG Received reply for `FC79VFMD' of type 1 with UID 136 from datastore.
Sep 05 00:49:54-00000000000022796504 fs-4072 DEBUG Matched result (type 1) for query `FC79VFMD' with pending request
Sep 05 00:49:54-00000000000022796504 fs-4072 DEBUG Queued reply to query `FC79VFMD' for local client
Sep 05 00:49:54-00000000000022796504 fs-4072 DEBUG Finished database lookup for local request `FC79VFMD' with result 1
Sep 05 00:49:54-00000000000022796504 fs-4072 DEBUG Cleaning up pending request for `FC79VFMD'.
Sep 05 00:49:54-00000000000022796509 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796509 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796510 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796511 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796511 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796511 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796511 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796512 fs-4072 DEBUG Received request for `G0WGNT7A' of type 1 from local client
Sep 05 00:49:54-00000000000022796512 fs-4072 DEBUG Creating request handle for `G0WGNT7A' of type 1
Sep 05 00:49:54-00000000000022796513 fs-4072 DEBUG Received reply for `G0WGNT7A' of type 6 with UID 104 from datastore.
Sep 05 00:49:54-00000000000022796513 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796515 fs-4072 DEBUG On-demand encoded block for query `G0WGNT7A'
Sep 05 00:49:54-00000000000022796515 fs-4072 DEBUG Received reply for `G0WGNT7A' of type 1 with UID 104 from datastore.
Sep 05 00:49:54-00000000000022796516 fs-4072 DEBUG Matched result (type 1) for query `G0WGNT7A' with pending request
Sep 05 00:49:54-00000000000022796516 fs-4072 DEBUG Queued reply to query `G0WGNT7A' for local client
Sep 05 00:49:54-00000000000022796516 fs-4072 DEBUG Finished database lookup for local request `G0WGNT7A' with result 1
Sep 05 00:49:54-00000000000022796516 fs-4072 DEBUG Cleaning up pending request for `G0WGNT7A'.
Sep 05 00:49:54-00000000000022796521 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796521 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796522 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796523 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796523 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796523 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796523 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796524 fs-4072 DEBUG Received request for `9DZQT97Y' of type 1 from local client
Sep 05 00:49:54-00000000000022796524 fs-4072 DEBUG Creating request handle for `9DZQT97Y' of type 1
Sep 05 00:49:54-00000000000022796525 fs-4072 DEBUG Received reply for `9DZQT97Y' of type 6 with UID 84 from datastore.
Sep 05 00:49:54-00000000000022796525 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796528 fs-4072 DEBUG On-demand encoded block for query `9DZQT97Y'
Sep 05 00:49:54-00000000000022796528 fs-4072 DEBUG Received reply for `9DZQT97Y' of type 1 with UID 84 from datastore.
Sep 05 00:49:54-00000000000022796529 fs-4072 DEBUG Matched result (type 1) for query `9DZQT97Y' with pending request
Sep 05 00:49:54-00000000000022796529 fs-4072 DEBUG Queued reply to query `9DZQT97Y' for local client
Sep 05 00:49:54-00000000000022796529 fs-4072 DEBUG Finished database lookup for local request `9DZQT97Y' with result 1
Sep 05 00:49:54-00000000000022796529 fs-4072 DEBUG Cleaning up pending request for `9DZQT97Y'.
Sep 05 00:49:54-00000000000022796534 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796534 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796535 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796536 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796536 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796536 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796536 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796537 fs-4072 DEBUG Received request for `4Y0EB2DZ' of type 1 from local client
Sep 05 00:49:54-00000000000022796537 fs-4072 DEBUG Creating request handle for `4Y0EB2DZ' of type 1
Sep 05 00:49:54-00000000000022796538 fs-4072 DEBUG Received reply for `4Y0EB2DZ' of type 6 with UID 41 from datastore.
Sep 05 00:49:54-00000000000022796538 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796540 fs-4072 DEBUG On-demand encoded block for query `4Y0EB2DZ'
Sep 05 00:49:54-00000000000022796540 fs-4072 DEBUG Received reply for `4Y0EB2DZ' of type 1 with UID 41 from datastore.
Sep 05 00:49:54-00000000000022796541 fs-4072 DEBUG Matched result (type 1) for query `4Y0EB2DZ' with pending request
Sep 05 00:49:54-00000000000022796541 fs-4072 DEBUG Queued reply to query `4Y0EB2DZ' for local client
Sep 05 00:49:54-00000000000022796541 fs-4072 DEBUG Finished database lookup for local request `4Y0EB2DZ' with result 1
Sep 05 00:49:54-00000000000022796541 fs-4072 DEBUG Cleaning up pending request for `4Y0EB2DZ'.
Sep 05 00:49:54-00000000000022796546 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796546 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796547 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796547 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796547 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796548 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796548 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796549 fs-4072 DEBUG Received request for `VGEN2XTR' of type 1 from local client
Sep 05 00:49:54-00000000000022796549 fs-4072 DEBUG Creating request handle for `VGEN2XTR' of type 1
Sep 05 00:49:54-00000000000022796550 fs-4072 DEBUG Received reply for `VGEN2XTR' of type 6 with UID 47 from datastore.
Sep 05 00:49:54-00000000000022796550 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796552 fs-4072 DEBUG On-demand encoded block for query `VGEN2XTR'
Sep 05 00:49:54-00000000000022796552 fs-4072 DEBUG Received reply for `VGEN2XTR' of type 1 with UID 47 from datastore.
Sep 05 00:49:54-00000000000022796553 fs-4072 DEBUG Matched result (type 1) for query `VGEN2XTR' with pending request
Sep 05 00:49:54-00000000000022796553 fs-4072 DEBUG Queued reply to query `VGEN2XTR' for local client
Sep 05 00:49:54-00000000000022796553 fs-4072 DEBUG Finished database lookup for local request `VGEN2XTR' with result 1
Sep 05 00:49:54-00000000000022796554 fs-4072 DEBUG Cleaning up pending request for `VGEN2XTR'.
Sep 05 00:49:54-00000000000022796559 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796559 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796560 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796560 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796560 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796560 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796560 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796561 fs-4072 DEBUG Received request for `XVMKWVY9' of type 1 from local client
Sep 05 00:49:54-00000000000022796561 fs-4072 DEBUG Creating request handle for `XVMKWVY9' of type 1
Sep 05 00:49:54-00000000000022796562 fs-4072 DEBUG Received reply for `XVMKWVY9' of type 6 with UID 81 from datastore.
Sep 05 00:49:54-00000000000022796562 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796564 fs-4072 DEBUG On-demand encoded block for query `XVMKWVY9'
Sep 05 00:49:54-00000000000022796564 fs-4072 DEBUG Received reply for `XVMKWVY9' of type 1 with UID 81 from datastore.
Sep 05 00:49:54-00000000000022796565 fs-4072 DEBUG Matched result (type 1) for query `XVMKWVY9' with pending request
Sep 05 00:49:54-00000000000022796565 fs-4072 DEBUG Queued reply to query `XVMKWVY9' for local client
Sep 05 00:49:54-00000000000022796565 fs-4072 DEBUG Finished database lookup for local request `XVMKWVY9' with result 1
Sep 05 00:49:54-00000000000022796565 fs-4072 DEBUG Cleaning up pending request for `XVMKWVY9'.
Sep 05 00:49:54-00000000000022796571 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796571 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796572 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796573 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796573 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796573 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796573 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796574 fs-4072 DEBUG Received request for `WSDEK0KS' of type 1 from local client
Sep 05 00:49:54-00000000000022796574 fs-4072 DEBUG Creating request handle for `WSDEK0KS' of type 1
Sep 05 00:49:54-00000000000022796575 fs-4072 DEBUG Received reply for `WSDEK0KS' of type 6 with UID 15 from datastore.
Sep 05 00:49:54-00000000000022796575 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796577 fs-4072 DEBUG On-demand encoded block for query `WSDEK0KS'
Sep 05 00:49:54-00000000000022796577 fs-4072 DEBUG Received reply for `WSDEK0KS' of type 1 with UID 15 from datastore.
Sep 05 00:49:54-00000000000022796578 fs-4072 DEBUG Matched result (type 1) for query `WSDEK0KS' with pending request
Sep 05 00:49:54-00000000000022796578 fs-4072 DEBUG Queued reply to query `WSDEK0KS' for local client
Sep 05 00:49:54-00000000000022796578 fs-4072 DEBUG Finished database lookup for local request `WSDEK0KS' with result 1
Sep 05 00:49:54-00000000000022796578 fs-4072 DEBUG Cleaning up pending request for `WSDEK0KS'.
Sep 05 00:49:54-00000000000022796583 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796583 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796584 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796585 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796585 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796585 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796585 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796586 fs-4072 DEBUG Received request for `RW21GEVK' of type 1 from local client
Sep 05 00:49:54-00000000000022796586 fs-4072 DEBUG Creating request handle for `RW21GEVK' of type 1
Sep 05 00:49:54-00000000000022796587 fs-4072 DEBUG Received reply for `RW21GEVK' of type 6 with UID 122 from datastore.
Sep 05 00:49:54-00000000000022796587 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796589 fs-4072 DEBUG On-demand encoded block for query `RW21GEVK'
Sep 05 00:49:54-00000000000022796589 fs-4072 DEBUG Received reply for `RW21GEVK' of type 1 with UID 122 from datastore.
Sep 05 00:49:54-00000000000022796590 fs-4072 DEBUG Matched result (type 1) for query `RW21GEVK' with pending request
Sep 05 00:49:54-00000000000022796590 fs-4072 DEBUG Queued reply to query `RW21GEVK' for local client
Sep 05 00:49:54-00000000000022796590 fs-4072 DEBUG Finished database lookup for local request `RW21GEVK' with result 1
Sep 05 00:49:54-00000000000022796590 fs-4072 DEBUG Cleaning up pending request for `RW21GEVK'.
Sep 05 00:49:54-00000000000022796595 fs-4072 DEBUG Received request for `WZ43ZDY6' of type 2 from local client
Sep 05 00:49:54-00000000000022796595 fs-4072 DEBUG Creating request handle for `WZ43ZDY6' of type 2
Sep 05 00:49:54-00000000000022796596 fs-4072 DEBUG Received reply for `WZ43ZDY6' of type 2 with UID 166 from datastore.
Sep 05 00:49:54-00000000000022796596 fs-4072 DEBUG Matched result (type 2) for query `WZ43ZDY6' with pending request
Sep 05 00:49:54-00000000000022796597 fs-4072 DEBUG Queued reply to query `WZ43ZDY6' for local client
Sep 05 00:49:54-00000000000022796597 fs-4072 DEBUG Finished database lookup for local request `WZ43ZDY6' with result 1
Sep 05 00:49:54-00000000000022796597 fs-4072 DEBUG Cleaning up pending request for `WZ43ZDY6'.
Sep 05 00:49:54-00000000000022796598 fs-4072 DEBUG Received request for `RCYHFHQW' of type 1 from local client
Sep 05 00:49:54-00000000000022796598 fs-4072 DEBUG Creating request handle for `RCYHFHQW' of type 1
Sep 05 00:49:54-00000000000022796599 fs-4072 DEBUG Received reply for `RCYHFHQW' of type 6 with UID 67 from datastore.
Sep 05 00:49:54-00000000000022796599 fs-4072 DEBUG Found ONDEMAND block, performing on-demand encoding
Sep 05 00:49:54-00000000000022796601 fs-4072 DEBUG On-demand encoded block for query `RCYHFHQW'
Sep 05 00:49:54-00000000000022796601 fs-4072 DEBUG Received reply for `RCYHFHQW' of type 1 with UID 67 from datastore.
Sep 05 00:49:54-00000000000022796602 fs-4072 DEBUG Matched result (type 1) for query `RCYHFHQW' with pending request
Sep 05 00:49:54-00000000000022796602 fs-4072 DEBUG Queued reply to query `RCYHFHQW' for local client
Sep 05 00:49:54-00000000000022796602 fs-4072 DEBUG Finished database lookup for local request `RCYHFHQW' with result 1
Sep 05 00:49:54-00000000000022796602 fs-4072 DEBUG Cleaning up pending request for `RCYHFHQW'.
Sep 05 00:50:05-00000000000022807917 fs-4072 DEBUG Cleaning up pending request for `1GASV778'.

Search for +Culture +mimetype:audio


Sep 05 00:50:10-00000000000022812501 fs-4072 DEBUG Received request for `1GASV778' of type 9 from local client
Sep 05 00:50:10-00000000000022812501 fs-4072 DEBUG Creating request handle for `1GASV778' of type 9
Sep 05 00:50:10-00000000000022812502 fs-4072 DEBUG Received reply for `1GASV778' of type 9 with UID 186 from datastore.
Sep 05 00:50:10-00000000000022812503 fs-4072 DEBUG Matched result (type 9) for query `1GASV778' with pending request
Sep 05 00:50:10-00000000000022812511 fs-4072 DEBUG Found result for query `1GASV778' in local datastore
Sep 05 00:50:10-00000000000022812511 fs-4072 DEBUG Queued reply to query `1GASV778' for local client
Sep 05 00:50:10-00000000000022812511 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812513 fs-4072 DEBUG No further local responses available.
Sep 05 00:50:10-00000000000022812513 fs-4072 DEBUG Finished database lookup for local request `1GASV778' with result 0
Sep 05 00:50:10-00000000000022812513 fs-4072 DEBUG Received request for `ZT49GHPT' of type 9 from local client
Sep 05 00:50:10-00000000000022812513 fs-4072 DEBUG Creating request handle for `ZT49GHPT' of type 9
Sep 05 00:50:10-00000000000022812515 fs-4072 DEBUG Received reply for `ZT49GHPT' of type 9 with UID 398 from datastore.
Sep 05 00:50:10-00000000000022812515 fs-4072 DEBUG Matched result (type 9) for query `ZT49GHPT' with pending request
Sep 05 00:50:10-00000000000022812524 fs-4072 DEBUG Found result for query `ZT49GHPT' in local datastore
Sep 05 00:50:10-00000000000022812524 fs-4072 DEBUG Queued reply to query `ZT49GHPT' for local client
Sep 05 00:50:10-00000000000022812524 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812526 fs-4072 DEBUG Received reply for `ZT49GHPT' of type 9 with UID 588 from datastore.
Sep 05 00:50:10-00000000000022812526 fs-4072 DEBUG Matched result (type 9) for query `ZT49GHPT' with pending request
Sep 05 00:50:10-00000000000022812535 fs-4072 DEBUG Found result for query `ZT49GHPT' in local datastore
Sep 05 00:50:10-00000000000022812535 fs-4072 DEBUG Queued reply to query `ZT49GHPT' for local client
Sep 05 00:50:10-00000000000022812535 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812536 fs-4072 DEBUG Received reply for `ZT49GHPT' of type 9 with UID 874 from datastore.
Sep 05 00:50:10-00000000000022812536 fs-4072 DEBUG Matched result (type 9) for query `ZT49GHPT' with pending request
Sep 05 00:50:10-00000000000022812545 fs-4072 DEBUG Found result for query `ZT49GHPT' in local datastore
Sep 05 00:50:10-00000000000022812545 fs-4072 DEBUG Queued reply to query `ZT49GHPT' for local client
Sep 05 00:50:10-00000000000022812545 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812547 fs-4072 DEBUG Received reply for `ZT49GHPT' of type 9 with UID 911 from datastore.
Sep 05 00:50:10-00000000000022812547 fs-4072 DEBUG Matched result (type 9) for query `ZT49GHPT' with pending request
Sep 05 00:50:10-00000000000022812556 fs-4072 DEBUG Found result for query `ZT49GHPT' in local datastore
Sep 05 00:50:10-00000000000022812556 fs-4072 DEBUG Queued reply to query `ZT49GHPT' for local client
Sep 05 00:50:10-00000000000022812556 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812559 fs-4072 DEBUG Received reply for `ZT49GHPT' of type 9 with UID 1302 from datastore.
Sep 05 00:50:10-00000000000022812559 fs-4072 DEBUG Matched result (type 9) for query `ZT49GHPT' with pending request
Sep 05 00:50:10-00000000000022812567 fs-4072 DEBUG Found result for query `ZT49GHPT' in local datastore
Sep 05 00:50:10-00000000000022812567 fs-4072 DEBUG Queued reply to query `ZT49GHPT' for local client
Sep 05 00:50:10-00000000000022812567 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812570 fs-4072 DEBUG Received reply for `ZT49GHPT' of type 9 with UID 1316 from datastore.
Sep 05 00:50:10-00000000000022812570 fs-4072 DEBUG Matched result (type 9) for query `ZT49GHPT' with pending request
Sep 05 00:50:10-00000000000022812579 fs-4072 DEBUG Found result for query `ZT49GHPT' in local datastore
Sep 05 00:50:10-00000000000022812579 fs-4072 DEBUG Queued reply to query `ZT49GHPT' for local client
Sep 05 00:50:10-00000000000022812579 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812582 fs-4072 DEBUG Received reply for `ZT49GHPT' of type 9 with UID 1339 from datastore.
Sep 05 00:50:10-00000000000022812582 fs-4072 DEBUG Matched result (type 9) for query `ZT49GHPT' with pending request
Sep 05 00:50:10-00000000000022812590 fs-4072 DEBUG Found result for query `ZT49GHPT' in local datastore
Sep 05 00:50:10-00000000000022812590 fs-4072 DEBUG Queued reply to query `ZT49GHPT' for local client
Sep 05 00:50:10-00000000000022812590 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812592 fs-4072 DEBUG Received reply for `ZT49GHPT' of type 9 with UID 179 from datastore.
Sep 05 00:50:10-00000000000022812592 fs-4072 DEBUG Matched result (type 9) for query `ZT49GHPT' with pending request
Sep 05 00:50:10-00000000000022812600 fs-4072 DEBUG Found result for query `ZT49GHPT' in local datastore
Sep 05 00:50:10-00000000000022812601 fs-4072 DEBUG Queued reply to query `ZT49GHPT' for local client
Sep 05 00:50:10-00000000000022812601 fs-4072 DEBUG Evaluation 0 - keeping query alive
Sep 05 00:50:10-00000000000022812602 fs-4072 DEBUG No further local responses available.
Sep 05 00:50:10-00000000000022812602 fs-4072 DEBUG Finished database lookup for local request `ZT49GHPT' with result 0
Sep 05 00:50:50-00000000000022852326 util-5520 WARNING Processing code for message of type 156 did not call `GNUNET_SERVER_receive_done' after 2 m
gnunet_log.txt (23,584 bytes)

bratao

2014-09-05 05:53

developer   ~0008564

The attached log show the difference between a search for +Culture and a search for +Culture +mimetype:audio

bratao

2014-09-05 15:41

developer   ~0008566

I created a new test case, test_fs_search_with_and. It publish a file multiple times (set by NUM_FILES), and do a search for (+keyword1 +keyword2).

For NUM_FILES < 3 it works. When it is >=3 , the search do not return any result.

My guess it that something is messed up when you have multiple hits of the same keyword. Maybe the bloom filter, IDK.

bratao

2014-09-05 17:17

developer   ~0008568

Look like process_ksk_result at fs_search.c is the guilty part.
Some strange things:

At 582
koff = ent - sc->requests;
  GNUNET_assert ( (ent >= sc->requests) &&
                  (koff < sc->uri->data.ksk.keywordCount));

You subtracting pointers ent and sc->requests , and comparing them ?

And here:
/* check if mandatory satisfied */
  if (1 == GNUNET_CONTAINER_multihashmap_size (ent->results))

Why you check only if the size is one ? What if it have more results ?

bratao

2014-09-05 17:39

developer   ~0008569

I guess that I fixed with revision: 34279

Issue History

Date Modified Username Field Change
2014-09-05 04:47 bratao New Issue
2014-09-05 05:05 bratao Note Added: 0008563
2014-09-05 05:52 bratao File Added: gnunet_log.txt
2014-09-05 05:53 bratao Note Added: 0008564
2014-09-05 15:41 bratao Note Added: 0008566
2014-09-05 17:17 bratao Note Added: 0008568
2014-09-05 17:39 bratao Note Added: 0008569
2014-09-12 17:37 Christian Grothoff Assigned To => bratao
2014-09-12 17:37 Christian Grothoff Status new => assigned
2014-09-12 17:37 Christian Grothoff Status assigned => resolved
2014-09-12 17:37 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-09-12 17:37 Christian Grothoff Resolution open => fixed
2014-09-12 17:37 Christian Grothoff Product Version => 0.10.1
2014-09-12 17:37 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed